# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlDICOM.hpp File Reference

`#include <vl/ResourceLoadWriter.hpp>`
`#include <vl/ResourceDatabase.hpp>`
`#include <vl/Image.hpp>`

## Classes
class | vl::LoadWriterDICOM
| The LoadWriterDICOM class is a ResourceLoadWriter capable of reading DICOM files. More...
## Namespaces
namespace | vl
| Visualization Library namespace.

## Defines
#define | ioDICOM_INCLUDE_ONCE
## Functions
ref< Image > | vl::loadDICOM (VirtualFile *file)
| Loads a DICOM file.
ref< Image > | vl::loadDICOM (const String &path)
| Loads a DICOM file.
bool | vl::saveDICOM (const Image *src, const String &path)
| Writes a DICOM file.
bool | vl::saveDICOM (const Image *src, VirtualFile *file)
| Writes a DICOM file.
bool | vl::isDICOM (VirtualFile *file)
| Checks if the given file is a DICOM file.

## Define Documentation

#define ioDICOM_INCLUDE_ONCE

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:40 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.